## com.trilead.ssh2.transport
Class TransportManager

    java.lang.Object
      com.trilead.ssh2.transport.TransportManager

    public class TransportManager

extends java.lang.Object

TransportManager.

Constructor Summary
`TransportManager(java.lang.String host, int port)`

Method Summary
`void` `changeRecvCipher(BlockCipher bc, MAC mac)`
`void` `changeSendCipher(BlockCipher bc, MAC mac)`
`void` `close(java.lang.Throwable cause, boolean useDisconnectPacket)`
`void` `forceKeyExchange(CryptoWishList cwl, DHGexParameters dhgex)`
`ConnectionInfo` `getConnectionInfo(int kexNumber)`
`int` `getPacketOverheadEstimate()`
`java.lang.Throwable` `getReasonClosedCause()`
`byte[]` `getSessionIdentifier()`
`ClientServerHello` `getVersionInfo()`
`void` `initialize(CryptoWishList cwl, ServerHostKeyVerifier verifier, DHGexParameters dhgex, int connectTimeout, java.security.SecureRandom rnd, ProxyData proxyData)`
`void` `kexFinished()`
`void` `receiveLoop()`
`void` `registerMessageHandler(MessageHandler mh, int low, int high)`
`void` `removeMessageHandler(MessageHandler mh, int low, int high)`
`void` `sendAsynchronousMessage(byte[] msg)`
`void` `sendKexMessage(byte[] msg)`
`void` `sendMessage(byte[] msg)`
`void` `setConnectionMonitors(java.util.Vector monitors)`
`void` `setSoTimeout(int timeout)`
`void` `setTcpNoDelay(boolean state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportManager

    public TransportManager(java.lang.String host,
                            int port)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPacketOverheadEstimate

    public int getPacketOverheadEstimate()

### setTcpNoDelay

    public void setTcpNoDelay(boolean state)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### setSoTimeout

    public void setSoTimeout(int timeout)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getConnectionInfo

    public ConnectionInfo getConnectionInfo(int kexNumber)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getVersionInfo

    public ClientServerHello getVersionInfo()

### getReasonClosedCause

    public java.lang.Throwable getReasonClosedCause()

### getSessionIdentifier

    public byte[] getSessionIdentifier()

### close

    public void close(java.lang.Throwable cause,
                      boolean useDisconnectPacket)

### initialize

    public void initialize(CryptoWishList cwl,
                           ServerHostKeyVerifier verifier,
                           DHGexParameters dhgex,
                           int connectTimeout,
                           java.security.SecureRandom rnd,
                           ProxyData proxyData)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### registerMessageHandler

    public void registerMessageHandler(MessageHandler mh,
                                       int low,
                                       int high)

### removeMessageHandler

    public void removeMessageHandler(MessageHandler mh,
                                     int low,
                                     int high)

### sendKexMessage

    public void sendKexMessage(byte[] msg)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### kexFinished

    public void kexFinished()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### forceKeyExchange

    public void forceKeyExchange(CryptoWishList cwl,
                                 DHGexParameters dhgex)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### changeRecvCipher

    public void changeRecvCipher(BlockCipher bc,
                                 MAC mac)

### changeSendCipher

    public void changeSendCipher(BlockCipher bc,
                                 MAC mac)

### sendAsynchronousMessage

    public void sendAsynchronousMessage(byte[] msg)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### setConnectionMonitors

    public void setConnectionMonitors(java.util.Vector monitors)

### sendMessage

    public void sendMessage(byte[] msg)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### receiveLoop

    public void receiveLoop()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`